import pygame

class Label:
    def __init__(self, is_rect=False, pos=tuple, size=tuple, mainsurface=pygame.Surface) -> None:
        self._surface = pygame.Surface(size)
        self._mainsurface = mainsurface
        self._is_rect = is_rect
        self._pos = pos
        self._size = size

    def get_surface(self):
        return self._surface
    
    def draw(self):
        if(self._is_rect):
            rect = pygame.draw.rect(self._mainsurface, (0,0,0), (self._pos[0],self._pos[1], self._size[0], self._size[1]), 1)

        else:
            print("Zeichne Surface!")
        pass

class Input_Label(Label):
    def __init__(self, is_rect=False, pos=tuple, size=tuple, mainsurface=pygame.Surface) -> None:
        super().__init__(is_rect, pos, size, mainsurface)
    